Retrieve all Machines

View as Markdown

Get all Machines visible to the caller.

Infrastructure Provider callers receive Machines owned by their Provider. Tenant Admin callers receive Machines only from Sites where TargetedInstanceCreation is effective. The siteId query parameter is optional and further restricts either result set.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptional
Filter Machines by Site ID
idstringOptional
Filter Machines by ID. Can be specified multiple times to filter on more than one ID.
hasInstanceTypebooleanOptional
Filter Machines that have been assigned an Instance Type.
instanceTypeIdstringOptional
Filter Machines by Instance Type ID. Can be specified multiple times to filter on more than one Instance Type ID.
tenantIdstringOptional
Filter Machines by ID of tenant of assigned instance. Can be specified multiple times to filter on more than one Tenant ID.
hasInstancebooleanOptional
Filter Machines that are assigned to an Instance. siteId must be specified when using this param.
isMissingOnSitebooleanOptional
Filter Machines that are missing on Site.
includeMetadatabooleanOptional
Include Machine metadata e.g. BMC, DPU, GPU and Interface data. Can only be requested by Provider.
statusstringOptional
Filter Machines by Status. Can be specified multiple times to filter on more than one Status.
capabilityTypestringOptional
Filter Machines by Capability Type
capabilityNamestringOptional
Filter Machines by Capability Name. Can be specified multiple times to filter on more than one Capability Name.
hwSkuDeviceTypestringOptional

Filter Machines by hardware SKU Device Type. Example values: “gpu”, “cpu”, “storage”, “cache”

querystringOptional
Provide query to search for matches. Input will be matched against Machine ID, vendor, product name, hostname and status
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-only
Unique ID of Machine
infrastructureProviderIdstringOptionalRead-onlyformat: "uuid"
ID of the Provider that owns the Machine
siteIdstringOptionalformat: "uuid"
ID of the Site the Machine belongs to
instanceTypeIdstring or nullOptionalformat: "uuid"
ID of the Instance Type, if assigned
instanceIdstring or nullOptionalformat: "uuid"
ID of the Instance if this Machine is assigned to one
tenantIdstring or nullOptionalformat: "uuid"
ID of the Tenant that owns the Instance if the Machine is assigned to one
controllerMachineIdstringOptional
ID of the Machine at Site, now same as the primary ID
controllerMachineTypestring or nullOptional

Denotes architecture (x86 vs ARM) of the Machine

hwSkuDeviceTypestring or nullOptional
SKU derived device type of the machine, e.g. cpu, gpu, cache, storage, etc.
vendorstring or nullOptional
Name of the vendor of the Machine
productNamestring or nullOptional
Product name of the Machine
serialNumberstring or nullOptional
Serial number of the Machine, only visible to Provider
machineCapabilitieslist of objectsOptional
List of capabilities of the machine
machineInterfaceslist of objectsOptional
List of admin interfaces of the machine
associatedDpuMachineIdslist of stringsOptionalRead-only
IDs of the DPU Machines attached to this host Machine
placementInRackobjectOptional
Physical placement of the Machine within its Rack, when known
maintenanceMessagestring or nullOptional
If the Machine is in maintenance mode, this message will typically describe the reason and how long it is expected to be in maintenance
scoutVersionstring or nullOptionalRead-only
Scout version reported by the Machine, if known
healthobjectOptional
Health information about the machine
metadataobjectOptional

Only available to Providers. Returned if the includeMetadata query parameter is specified. Otherwise attribute is omitted from response.

labelsmap from strings to stringsOptional

User-specified Machine labels

statusenumOptional
Status represents the status of the machine
isUsableByTenantbooleanOptionalRead-only
Indicates whether the machine is usable by or currently in use by a tenant.
statusHistorylist of objectsOptional
Chronological status history for the Machine
createddatetimeOptionalRead-only

Date/time when the Machine was created

updateddatetimeOptionalRead-only

Date/time when the Machine was last updated

Errors

403
Forbidden Error